%define libversion 1.3400.0

Name:           libva
Version:        1.2.0.01.43177da
Release:        0
License:        MIT
Source:         %{name}-%{version}.tar.bz2
Source1001:     packaging/libva.manifest 
Group:          Development/Libraries
Summary:        Video Acceleration (VA) API for Linux
URL:            http://freedesktop.org/wiki/Software/vaapi

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  xorg-x11-server-devel
BuildRequires:  pkgconfig(egl)
BuildRequires:  libtool
BuildRequires:  pkgconfig(wayland-client)

%description
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

%package devel
Summary: Video Acceleration (VA) API for Linux -- development files
Group:          Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

This package provides the development environment for libva.

%prep
%setup -q

%build
cp %{SOURCE1001} .

unset LD_AS_NEEDED
%autogen
make

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest libva.manifest
%defattr(-,root,root,-)
%{_libdir}/libva.so.1
%{_libdir}/libva.so.%{libversion}
%{_libdir}/libva-tpi.so.1
%{_libdir}/libva-tpi.so.%{libversion}
%{_libdir}/libva-x11.so.1
%{_libdir}/libva-x11.so.%{libversion}
%{_libdir}/libva-egl.so.1
%{_libdir}/libva-egl.so.%{libversion}
%{_libdir}/libva-drm.so.1
%{_libdir}/libva-drm.so.%{libversion}
%{_libdir}/libva-wayland.so.1
%{_libdir}/libva-wayland.so.%{libversion}
%{_bindir}/vainfo
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/loadjpeg
%{_bindir}/avcenc
%{_bindir}/mpeg2transcode
%{_bindir}/putsurface_wayland

%{_libdir}/dri/dummy_drv_video.so

%files devel
%manifest libva.manifest
%defattr(-,root,root,-)
%dir %{_includedir}/va
%{_includedir}/va/*
%{_libdir}/libva.so
%{_libdir}/libva-tpi.so
%{_libdir}/libva-x11.so
%{_libdir}/libva-egl.so
%{_libdir}/libva-drm.so
%{_libdir}/libva-wayland.so
%{_libdir}/pkgconfig/libva.pc
%{_libdir}/pkgconfig/libva-tpi.pc
%{_libdir}/pkgconfig/libva-x11.pc
%{_libdir}/pkgconfig/libva-egl.pc
%{_libdir}/pkgconfig/libva-drm.pc
%{_libdir}/pkgconfig/libva-wayland.pc

